Bug 9817 - Add Goodreads reviews tab to the OPAC
Summary: Add Goodreads reviews tab to the OPAC
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Chris Cormack
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 9816 9910
  Show dependency treegraph
 
Reported: 2013-03-14 07:47 UTC by Chris Cormack
Modified: 2016-03-07 21:17 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9817 Add Goodreads reviews to OPAC (6.58 KB, patch)
2013-03-14 07:52 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9817 Add Goodreads reviews to OPAC (6.87 KB, patch)
2013-03-14 11:05 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 9817 Add Goodreads reviews to OPAC (7.00 KB, patch)
2013-03-19 21:08 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 9817 Add Goodreads reviews to OPAC (7.38 KB, patch)
2013-03-23 06:14 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2013-03-14 07:47:49 UTC

    
Comment 1 Chris Cormack 2013-03-14 07:52:43 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2013-03-14 11:05:46 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-03-14 18:35:58 UTC
Thanks for the sign off Liz, but since we now both are Catalystas, I'll leave it needs signoff for an outside signoff.

Hint, it should be easy to signoff Liz already tested it!, and fixed a paste error.
Comment 4 Liz Rea 2013-03-14 20:22:51 UTC
gr forgot to change it to my personal email, lol. 

Dangit.
Comment 5 Chris Cormack 2013-03-14 20:39:14 UTC
Wouldn't actually have mattered, I did the work under my personal email, not catalysts, I'd still prefer another sign off :)
Comment 6 Mirko Tietgen 2013-03-19 21:08:53 UTC Comment hidden (obsolete)
Comment 7 Mirko Tietgen 2013-03-19 21:10:35 UTC
Works as expected. I fixed the usual database related merge conflicts (installer/data/mysql/sysprefs.sql + installer/data/mysql/updatedatabase.pl)
Comment 8 Katrin Fischer 2013-03-22 06:13:20 UTC
I talked to Chris and we agreed that this is not quite ready yet.
Comment 9 Chris Cormack 2013-03-23 06:14:20 UTC
Created attachment 16826 [details] [review]
Bug 9817 Add Goodreads reviews to OPAC

To test
1/ Go to systempreferences and turn on goodreads reviews
2/ Search for a book in your opac, that is likely to be in Goodreads,
and that has an isbn
3/ Look in the opac detail page for a good reads review tab

Should work in both prog and ccsr

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Very lovely!

Note: fixed a paste error in the database update description.
Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Tested both themes, looks alright
Comment 10 Jonathan Druart 2013-06-14 10:39:22 UTC
QA comment:

Works great.

There is a h1 title (Goodreads reviews for) even if there are no reviews. But I don't know how avoid that.

Is it normal that the syspref GoodReadsKey is not added to the systempreferences table (in sysprefs.sql and updatedatabase.pl)?

I wait explanation about the missing pref before passing QA.
Comment 11 Chris Cormack 2013-06-14 10:48:37 UTC
It's not actually used for anything yet, the reviews don't need a key.  It's there mainly in prep for more good reads work.  So we could remove it. I kinda lost interest in goodreads when amazon bought them.
Comment 12 Katrin Fischer 2013-06-30 08:15:16 UTC
I think as Chris is not planning to do more work on Goodreads it would be good to remove the system preference so there is no confusion on how to use this feature.
Comment 13 Christopher Brannon 2015-09-01 21:17:05 UTC
Would love to see this feature.  Interested in the GoodReads content enhancing Koha.

Christopher
Comment 14 rhilliker 2016-03-07 20:28:19 UTC
+1. More of our patrons use Goodreads than the other social reading platforms, so it would be a bigger selling point than Library Thing or the others that are already baked in.
Comment 15 Katrin Fischer 2016-03-07 20:44:07 UTC
Please note that this bug is 'closed wontfix' - so currently noone is working on this or intending to.
Comment 16 Christopher Brannon 2016-03-07 21:14:21 UTC
(In reply to Katrin Fischer from comment #15)
> Please note that this bug is 'closed wontfix' - so currently noone is
> working on this or intending to.

Yes, but I am generating conversation in hopes that it will be pursued again.
Comment 17 Chris Cormack 2016-03-07 21:17:29 UTC
Just an FYI as the original author, I won't be working on advertising Amazon for free. So working on raising money to pay a dev might be a better avenue ;)